> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Announcements

> List announcements for a tenant with optional pagination, sorting, and search



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json get /v2/admin/announcements/
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/announcements/:
    get:
      tags:
        - Announcements
      summary: List Announcements
      description: >-
        List announcements for a tenant with optional pagination, sorting, and
        search
      parameters:
        - schema:
            default: 1
            type: integer
            minimum: 0
            maximum: 1
          in: query
          name: paginated
          required: false
          description: 1 = paginated response, 0 = full list
        - schema:
            type: number
          in: query
          name: page
          required: false
          description: Page number
        - schema:
            type: number
          in: query
          name: recordsPerPage
          required: false
          description: Records per page
        - schema:
            type: string
            maxLength: 50
          in: query
          name: sortBy
          required: false
          description: Sort column
        - schema:
            type: string
            enum:
              - asc
              - desc
          in: query
          name: sortDirection
          required: false
          description: Sort direction
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: query
          name: tenantId
          required: true
          description: Tenant ID to list announcements for
        - schema:
            type: string
          in: query
          name: query
          required: false
          description: Search announcements by name
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: query
          name: ivrId
          required: false
          description: Filter to announcements attached to this IVR
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: query
          name: branchId
          required: false
          description: Filter to announcements on this branch
      responses:
        '200':
          description: Paginated announcement list
          content:
            application/json:
              schema:
                type: object
                properties:
                  records:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                          description: Announcement ID
                        tenantId:
                          type: number
                          description: Tenant ID
                        name:
                          type: string
                          description: Announcement name
                        description:
                          type: string
                          description: Announcement description
                        mediaFile:
                          anyOf:
                            - type: object
                              properties:
                                id:
                                  type: number
                                name:
                                  type: string
                                tenantId:
                                  type: number
                              required:
                                - id
                                - name
                                - tenantId
                              additionalProperties: false
                            - type: 'null'
                          description: Attached media file
                        active:
                          type: number
                          description: Active state (1 = active, 0 = inactive)
                        startDate:
                          type: string
                          description: Start date (ISO 8601)
                        endDate:
                          type: string
                          description: End date (ISO 8601)
                        ivrs:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: number
                              name:
                                type: string
                              tenantId:
                                type: number
                              order:
                                type: number
                            required:
                              - id
                              - name
                              - tenantId
                              - order
                            additionalProperties: false
                          description: IVRs this announcement is attached to
                        branchId:
                          type: number
                          description: Owning branch ID
                      required:
                        - id
                        - tenantId
                        - name
                        - description
                        - mediaFile
                        - active
                        - startDate
                        - endDate
                        - ivrs
                        - branchId
                      additionalProperties: false
                      description: Announcement list item
                  page:
                    type: number
                  maxPage:
                    type: number
                  totalRecords:
                    type: number
                required:
                  - records
                  - page
                  - maxPage
                  - totalRecords
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````